Bug 107019 - EMF+ EmfPlusRecordTypeDrawBeziers is not implemented
Summary: EMF+ EmfPlusRecordTypeDrawBeziers is not implemented
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Bartosz
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.2.8
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2017-04-07 18:18 UTC by Bartosz
Modified: 2017-04-24 09:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File on which curve is not displayed (9.61 KB, image/emf)
2017-04-07 18:18 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz 2017-04-07 18:18:00 UTC
Description:
The EmfPlusRecordTypeDrawBeziers record for EMF+ is not implemented.

Steps to Reproduce:
1. Drag and drop attached EMF file in Writer

Actual Results:  
Curve is not appearing in chart

Expected Results:
Curve is appearing in chart


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/56.0.2924.76 Chrome/56.0.2924.76 Safari/537.36
Comment 1 Bartosz 2017-04-07 18:18:58 UTC
Created attachment 132401 [details]
File on which curve is not displayed
Comment 2 Bartosz 2017-04-08 19:43:11 UTC
Review:
https://gerrit.libreoffice.org/#/c/36280/3
Comment 3 Commit Notification 2017-04-13 11:27:57 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b693d896bf9a08cd8987e483f5269d6f2be1fd3

tdf#107019 EMF+ Add support for import EmfPlusRecordTypeDrawBeziers record

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-04-13 17:53:56 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5eaa4feece4b3d0fba26cfe76d2be26e0f15c128&h=libreoffice-5-2

tdf#107019 EMF+ Add support for import EmfPlusRecordTypeDrawBeziers record

It will be available in 5.2.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.